package cn.estsh.i3plus.ext.mes.api.base;

import io.swagger.annotations.ApiOperation;

import java.util.List;
import java.util.Map;

public interface IMesEnumExtService {

    @ApiOperation("获取所有mes枚举")
    List<Map<String, Object>> getAllMesEnums();

    @ApiOperation("根据枚举名获取枚举")
    Map<String, Object> doGetMesEnumByEnumName(String enumName);

    @ApiOperation("通过class获取枚举")
    Map<String, Object> getEnumByClazzEnum(String enumName, Class clazz);
}
